Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.classifiers
Class AbstractScoreBasedClassifier.DoubleTableResult

    java.lang.Object
      de.jstacs.AnnotatedEntity
          de.jstacs.results.Result
              de.jstacs.classifiers.AbstractScoreBasedClassifier.DoubleTableResult

All Implemented Interfaces:
  Storable

Enclosing class:
  AbstractScoreBasedClassifier

    public static class AbstractScoreBasedClassifier.DoubleTableResult

extends Result

This class is for `Result`s given as a table of `double` s.

Author:
  Jens Keilwagen
See Also:
  `Result`

Field Summary

Fields inherited from class de.jstacs.AnnotatedEntity
`comment, datatype, name`

Constructor Summary
`AbstractScoreBasedClassifier.DoubleTableResult(StringBuffer representation)` The standard constructor for the interface `Storable` .
`AbstractScoreBasedClassifier.DoubleTableResult(String name, String comment, AbstractList<double[]> list)` This is the default constructor that creates an instance based on the results given in `list`

Method Summary
`protected void` | `appendFurtherInfos(StringBuffer xml)` This method can be used in the method `Storable.toXML()` to extract further information (name, comment, datatype).
`protected void` | `extractFurtherInfos(StringBuffer xml)` This method can be used in the constructor with parameter `StringBuffer` to extract the further information.
`double[]` | `getLine(int index)` Return the line with a given `index` from the table.
`int` | `getNumberOfLines()` Returns the number of lines in this table.
`static StringBuffer` | `getPlotCommands(REnvironment e, String plotOptions, AbstractScoreBasedClassifier.DoubleTableResult... dtr)` This method copies the data to the server side and creates a `StringBuffer` containing the plot commands.
`static StringBuffer` | `getPlotCommands(REnvironment e, String plotOptions, int[] colors, AbstractScoreBasedClassifier.DoubleTableResult... dtr)` This method copies the data to the server side and creates a `StringBuffer` containing the plot commands.
`static StringBuffer` | `getPlotCommands(REnvironment e, String plotOptions, String[] colors, AbstractScoreBasedClassifier.DoubleTableResult... dtr)` This method copies the data to the server side and creates a `StringBuffer` containing the plot commands.
`double[][]` | `getValue()` Returns the value of the `AnnotatedEntity`.
`String` | `getXMLTag()` This method returns a tag used as outer tag of the XML description.
`static ImageResult` | `plot(REnvironment e, AbstractScoreBasedClassifier.DoubleTableResult... dtr)` This method plots an array of `AbstractScoreBasedClassifier.DoubleTableResult`s in one image.
`String` | `toString()`

Methods inherited from class de.jstacs.results.Result
`checkDatatype, createResult, isCastableResult, isComparableResult`

Methods inherited from class de.jstacs.AnnotatedEntity
`getComment, getDatatype, getName, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractScoreBasedClassifier.DoubleTableResult

    public AbstractScoreBasedClassifier.DoubleTableResult(String name,
                                                          String comment,
                                                          AbstractList<double[]> list)

  This is the default constructor that creates an instance based on the results given in `list`

  Parameters:
    `name` - the name of the result
    `comment` - the comment for the result
    `list` - the list of values

### AbstractScoreBasedClassifier.DoubleTableResult

    public AbstractScoreBasedClassifier.DoubleTableResult(StringBuffer representation)
                                                   throws NonParsableException

  The standard constructor for the interface `Storable` . Creates a new `AbstractScoreBasedClassifier.DoubleTableResult` out of its XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `AbstractScoreBasedClassifier.DoubleTableResult` could not be reconstructed out of the XML representation (the `StringBuffer` `representation` could not be parsed)
  See Also:
    `Result.Result(StringBuffer)`, `Storable`

Method Detail

### getXMLTag

    public String getXMLTag()

  Description copied from class: `AnnotatedEntity`
  This method returns a tag used as outer tag of the XML description.

  Specified by:
    `getXMLTag` in class `AnnotatedEntity`
  Returns:
    a tag used as outer tag of the XML description

### extractFurtherInfos

    protected void extractFurtherInfos(StringBuffer xml)
                                throws NonParsableException

  Description copied from class: `AnnotatedEntity`
  This method can be used in the constructor with parameter `StringBuffer` to extract the further information.

  Specified by:
    `extractFurtherInfos` in class `AnnotatedEntity`
  Parameters:
    `xml` - a XML represenation of the main information as `StringBuffer`
  Throws:
    `NonParsableException` - if the XML representation is not parsable
  See Also:
    `AnnotatedEntity.AnnotatedEntity(StringBuffer)`

### getLine

    public double[] getLine(int index)

  Return the line with a given `index` from the table.

  Parameters:
    `index` - the given index
  Returns:
    the line with the given `index`

### getNumberOfLines

    public int getNumberOfLines()

  Returns the number of lines in this table.

  Returns:
    the number of lines in this table

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getValue

    public double[][] getValue()

  Description copied from class: `AnnotatedEntity`
  Returns the value of the `AnnotatedEntity`.

  Specified by:
    `getValue` in class `AnnotatedEntity`
  Returns:
    the value of the `AnnotatedEntity`

### appendFurtherInfos

    protected void appendFurtherInfos(StringBuffer xml)

  Description copied from class: `AnnotatedEntity`
  This method can be used in the method `Storable.toXML()` to extract further information (name, comment, datatype).

  Specified by:
    `appendFurtherInfos` in class `AnnotatedEntity`
  Parameters:
    `xml` - a XML representation of the main information as `StringBuffer`
  See Also:
    `Storable.toXML()`

### plot

    public static final ImageResult plot(REnvironment e,
                                         AbstractScoreBasedClassifier.DoubleTableResult... dtr)
                                  throws Exception

  This method plots an array of `AbstractScoreBasedClassifier.DoubleTableResult`s in one image.

  Parameters:
    `dtr` - the array of `AbstractScoreBasedClassifier.DoubleTableResult`s
    `e` - the R environment
  Returns:
    the image as an `ImageResult`
  Throws:
    `Exception` - if something went wrong
  See Also:
    `ImageResult.ImageResult(String, String, java.awt.image.BufferedImage)`

### getPlotCommands

    public static final StringBuffer getPlotCommands(REnvironment e,
                                                     String plotOptions,
                                                     AbstractScoreBasedClassifier.DoubleTableResult... dtr)
                                              throws Exception

  This method copies the data to the server side and creates a `StringBuffer` containing the plot commands.

  Parameters:
    `dtr` - the array of `AbstractScoreBasedClassifier.DoubleTableResult`s
    `e` - the R environment
    `plotOptions` -
    1. recommended for `ROCCurve.NAME` or `PRCurve.NAME`
    2. any String that can be parsed to R plot options
  Returns:
    a `StringBuffer` containing the plot commands
  Throws:
    `Exception` - if something went wrong

### getPlotCommands

    public static final StringBuffer getPlotCommands(REnvironment e,
                                                     String plotOptions,
                                                     int[] colors,
                                                     AbstractScoreBasedClassifier.DoubleTableResult... dtr)
                                              throws Exception

  This method copies the data to the server side and creates a `StringBuffer` containing the plot commands.

  Parameters:
    `dtr` - the array of `AbstractScoreBasedClassifier.DoubleTableResult`s
    `e` - the R environment
    `plotOptions` -
    1. recommended for `ROCCurve.NAME` or `PRCurve.NAME`
    2. any String that can be parsed to R plot options
    `colors` - array of colors for the dtrs
  Returns:
    a `StringBuffer` containing the plot commands
  Throws:
    `Exception` - if something went wrong

### getPlotCommands

    public static final StringBuffer getPlotCommands(REnvironment e,
                                                     String plotOptions,
                                                     String[] colors,
                                                     AbstractScoreBasedClassifier.DoubleTableResult... dtr)
                                              throws Exception

  This method copies the data to the server side and creates a `StringBuffer` containing the plot commands.

  Parameters:
    `dtr` - the array of `AbstractScoreBasedClassifier.DoubleTableResult`s
    `e` - the R environment
    `plotOptions` -
    1. recommended for `ROCCurve.NAME` or `PRCurve.NAME`
    2. any String that can be parsed to R plot options
    `colors` - array of colors for the dtrs
  Returns:
    a `StringBuffer` containing the plot commands
  Throws:
    `Exception` - if something went wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD